﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:include href="../../../../../Reporting/XSL/CSV/includes/standard.xsl"/>

	<xsl:param name="optDetailedTable" select="/data/ReportOptions/ReportOption[Name='detailed_table']/Value"/>

	<xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />
	
	<xsl:template name="header">
		<xsl:text>ClubID/DB;ClubName;Points;Rank</xsl:text>
		<xsl:if test="$optDetailedTable = 1">
			<xsl:for-each select="/data/CupRaces/CupRace">
				<xsl:text>;</xsl:text>
				<xsl:value-of select="RaceNumber"/>
			</xsl:for-each>
		</xsl:if>
		<xsl:call-template name="linebreak"/>
	</xsl:template>

	<xsl:template match="/data">
		<xsl:apply-templates select="/data/CupStandings/CupStanding"/>
	</xsl:template>

	<xsl:template match="CupStanding">
		<xsl:variable name="cid" select="Club_ID"/>

		<xsl:value-of select="Club_ID"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="Club_Abbr"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="format-number(Points, '0,###', 'european')"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="CupRank"/>
		<xsl:if test="$optDetailedTable = 1">
			<xsl:for-each select="/data/CupRaces/CupRace">
				<xsl:text>;</xsl:text>
				<xsl:value-of select="format-number(sum(/data/CupPoints/CupPoint[Race_ID = current()/ID and Club_ID = $cid]/Points), '0,###', 'european')"/>
			</xsl:for-each>
		</xsl:if>
		<xsl:call-template name="linebreak"/>
	</xsl:template>

</xsl:stylesheet>
