CREATE TABLE CupPointTable (
	ID int IDENTITY(1,1) NOT NULL,
	Rank TINYINT NULL,
	Round SMALLINT NULL,
	Lap SMALLINT NULL,
	Points DECIMAL(10, 4) NULL,
	Parent_ID INT NULL,
	Caption NVARCHAR(32) NULL,
	CONSTRAINT PK_CupPointTable PRIMARY KEY CLUSTERED
	(
		ID ASC
	) WITH (
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE
	CupPointTable
WITH CHECK
ADD
	CONSTRAINT FK_CupPointTable_CupPointTable FOREIGN KEY(Parent_ID)
	REFERENCES dbo.CupPointTable (ID)

ALTER TABLE
	CupPointTable
CHECK
	CONSTRAINT FK_CupPointTable_CupPointTable


CREATE TABLE Cup (
	ID INT IDENTITY(1,1) NOT NULL,
	Race_ID_FK INT NULL,
	PointTable_ID_FK INT NULL,
	Parent_ID INT NULL,
	Caption NVARCHAR(32) NULL,
	CONSTRAINT PK_Cup PRIMARY KEY CLUSTERED (
		ID ASC
	) WITH (
		PAD_INDEX  = OFF,
		STATISTICS_NORECOMPUTE  = OFF,
		IGNORE_DUP_KEY = OFF,
		ALLOW_ROW_LOCKS  = ON,
		ALLOW_PAGE_LOCKS  = ON
	) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE
	dbo.Cup
WITH NOCHECK
ADD CONSTRAINT FK_Cup_Cup FOREIGN KEY(Parent_ID) REFERENCES dbo.Cup (ID)


ALTER TABLE
	dbo.Cup
CHECK CONSTRAINT FK_Cup_Cup


ALTER TABLE
	dbo.Cup
WITH CHECK
ADD CONSTRAINT FK_Cup_CupPointTable FOREIGN KEY(PointTable_ID_FK) REFERENCES dbo.CupPointTable (ID)
ON UPDATE CASCADE
ON DELETE CASCADE


ALTER TABLE
	dbo.Cup
CHECK CONSTRAINT FK_Cup_CupPointTable


ALTER TABLE
	dbo.Cup
WITH CHECK
ADD CONSTRAINT FK_Cup_Offer FOREIGN KEY(Race_ID_FK) REFERENCES dbo.Offer (Offer_ID)


ALTER TABLE
	dbo.Cup
CHECK CONSTRAINT FK_Cup_Offer
