SELECT
	CE_Comp_ID_FK,
	Result_Rank,
	Crew_Pos,
	CAST(Crew_IsCox AS TINYINT) AS Crew_IsCox,
	Athlet_LastName,
	Athlet_FirstName,
	YEAR(Athlet_DOB) AS Athlet_YOB,
	Club_Abbr
FROM 
	Result 
	JOIN CompEntries ON CE_ID = Result_CE_ID_FK 
	JOIN Comp ON Comp_ID = CE_Comp_ID_FK 
		AND Comp_Round = 64 AND Comp_HeatNumber = 1 AND Comp_RoundCode = 'F'
	JOIN Entry ON Entry_ID = CE_Entry_ID_FK
	JOIN Crew ON Crew_Entry_ID_FK = Entry_ID
		AND Crew_RoundFrom <= Comp_Round AND Crew_RoundTo >= Comp_Round
	JOIN Athlet ON Athlet_ID = Crew_Athlete_ID_FK
	JOIN Club ON Club_ID = Crew_Club_ID_FK
	JOIN Offer ON Offer_ID = Comp_Race_ID_FK
WHERE
	Comp_Event_ID_FK = %event%
	AND Result_Rank BETWEEN 1 AND 3 
	AND Result_SplitNr = 64
ORDER BY 
	Offer_SortValue,
	CE_Comp_ID_FK,
	Result_Rank,
	Crew_Pos