<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="../../../../../Reporting/XSL/CSV/includes/standard.xsl"/>
	
	<xsl:template name="header">
		<xsl:text>RNr;</xsl:text>
		<xsl:text>Rennen;</xsl:text>
		<xsl:text>Runde;</xsl:text>
		<xsl:text>Lauf;</xsl:text>
		<xsl:text>Boot;</xsl:text>
		<xsl:text>Mannschaft;</xsl:text>
		<xsl:text>Rang;</xsl:text>
		<xsl:text>Ergebnis</xsl:text>
		<xsl:call-template name="linebreak"/>
	</xsl:template>
	
	<xsl:template match="data">
		<xsl:for-each select="/data/Comps/Comp">			
			<xsl:sort data-type="number" select="Round"/>
			<xsl:variable name="comp" select="."/>
			
			
			<xsl:for-each select="/data/Results/Result[SplitNr = 64]">
				<xsl:sort select="SortValue"/>
				
				<xsl:variable name="result" select="."/>
				<xsl:if test="/data/Lanes/Lane[CE_ID = current()/CE_ID_FK]/CE_Comp_ID_FK = $comp/ID">
					<xsl:value-of select="/data/RaceInfo/RaceInfo/Offer_RaceNumber"/>
					<xsl:text>;</xsl:text>
					<xsl:value-of select="/data/RaceInfo/RaceInfo/Offer_ShortLabel"/>
					<xsl:text>;</xsl:text>
					<xsl:value-of select="$comp/RoundCode"/>
					<xsl:text>;</xsl:text>
					<xsl:value-of select="$comp/Label"/>
					<xsl:text>;</xsl:text>
					<xsl:apply-templates select="/data/Entries/Entrie[Entry_ID =  /data/Lanes/Lane[CE_ID = current()/CE_ID_FK]/CE_Entry_ID_FK]" mode="GetLabel"/>
					<xsl:text>;</xsl:text>
					<xsl:apply-templates select="/data/Entries/Entrie[Entry_ID =  /data/Lanes/Lane[CE_ID = current()/CE_ID_FK]/CE_Entry_ID_FK]" mode="GetCrewString"/>
					<xsl:text>;</xsl:text>
					<xsl:value-of select="$result/Rank"/>
					<xsl:text>;</xsl:text>
					<xsl:value-of select="$result/DisplayValue"/>
					<xsl:call-template name="linebreak"/>
				</xsl:if>
			</xsl:for-each>
			
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
