<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:include href="./includes/standard.xsl"/>	

	<xsl:param name="crosstable" select="/data/ReportOptions/ReportOption[Name='csv_cross']/Value"/>

	<xsl:template name="header">
		<xsl:if test="$crosstable != 1">
			<xsl:if test="$show_noc">
				<xsl:text>Country;</xsl:text>
			</xsl:if>
			<xsl:text>City;Name;Short;Count;Races</xsl:text>
		</xsl:if>
		<xsl:if test="$crosstable = 1">
			<xsl:text>;</xsl:text>
			<xsl:for-each select="/data/Races/Race[Offer_Driven = 1]">
				<xsl:text>"</xsl:text>
				<xsl:value-of select="Offer_RaceNumber"/>
				<xsl:text>";</xsl:text>
			</xsl:for-each>
			<xsl:call-template name="linebreak"/>
			<xsl:text>;</xsl:text>
			<xsl:for-each select="/data/Races/Race[Offer_Driven = 1]">
				<xsl:value-of select="Offer_ShortLabel"/>
				<xsl:text>;</xsl:text>
			</xsl:for-each>
		</xsl:if>
		<xsl:call-template name="linebreak"/>
	</xsl:template>


	<xsl:template match="/data">
		<xsl:apply-templates select="/data/Clubs/Club"/>
	</xsl:template>

	<xsl:template match="Club">
		<xsl:variable name="csl" select="Entry_ShortLabel"/>
		<xsl:if test="$crosstable != 1">
			<xsl:if test="$show_noc">
				<xsl:value-of select="Nation_IOC_Code"/>
				<xsl:text>;</xsl:text>
			</xsl:if>
			<xsl:value-of select="City"/>
			<xsl:text>;</xsl:text>
			<xsl:value-of select="Entry_LongLabel"/>
			<xsl:text>;</xsl:text>
		</xsl:if>
		
		<xsl:value-of select="Entry_ShortLabel"/>
		<xsl:text>;</xsl:text>

		<xsl:if test="$crosstable != 1">
			<xsl:for-each select="/data/Entries/Entrie[Label_Short = $csl]">
				<xsl:if test="position() != 1">
					<xsl:text>,</xsl:text>
				</xsl:if>
				<xsl:value-of select="/data/Races/Race[Offer_ID = current()/Entry_Race_ID_FK]/Offer_RaceNumber"/>
			</xsl:for-each>
		</xsl:if>
		
		<xsl:if test="$crosstable = 1">
			<xsl:for-each select="/data/Races/Race[Offer_Driven = 1]">
				<xsl:variable name="rid" select="Offer_ID"/>
				<xsl:if test="count(/data/Entries/Entrie[Entry_Race_ID_FK = $rid and Label_Short = $csl]) &gt; 0">
					<xsl:text>X</xsl:text>
				</xsl:if>
				<xsl:text>;</xsl:text>
			</xsl:for-each>
		</xsl:if>
			
		<xsl:call-template name="linebreak"/>
	</xsl:template>


</xsl:stylesheet>
