<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:include href="./includes/standard.xsl"/>

	<xsl:template name="header">
		<xsl:text>Tag;Zeit;LaufNr;RNr;Rennen;Lauf;Strecke</xsl:text>
		<xsl:call-template name="linebreak"/>
	</xsl:template>


	<xsl:template match="/data">
		<xsl:apply-templates select="/data/Comps/Comp"/>
	</xsl:template>


	<xsl:template match="Comp">
		<xsl:variable name="race" select="/data/Races/Race[Offer_ID = current()/Race_ID_FK]"/>
		<xsl:value-of select="substring-before(DateTime, ' ')"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="substring-after(DateTime, ' ')"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="Number"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="$race/Offer_RaceNumber"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="normalize-space(concat($race/Offer_ShortLabel, ' ', $race/Offer_Comment))"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="concat(RoundCode, Label)"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="Distance"/>
		<xsl:call-template name="linebreak"/>
	</xsl:template>


</xsl:stylesheet>
