<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:include href="./includes/standard.xsl"/>
	<xsl:include href="./includes/OSVStartListTools.xsl"/>

	<xsl:param name="merge_comps" select="boolean(/data/ReportOptions/ReportOption[Name='merge_comps']/Value = 1)"/>
	
	<xsl:template match="data">
		<xsl:for-each select="/data/Comps/Comp[Cancelled = 0]">
			<xsl:variable name="cid" select="ID"/>
			<xsl:if test="not($merge_comps) or (($merge_comps) and position() = 1)">
				<xsl:apply-templates select="." mode="StartlistCompHeader"/>
			</xsl:if>
			<xsl:apply-templates select="/data/Lanes/Lane[CE_Comp_ID_FK=$cid]" mode="StartListItem">
				<xsl:sort select="CE_Lane" data-type="number"/>
				<xsl:with-param name="round" select="Round"/>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>
		
</xsl:stylesheet>
