<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

    <xsl:include href="./includes/standard.xsl"/>

    <xsl:decimal-format name="european" decimal-separator=',' grouping-separator='.' />

    <xsl:template name="body">
    	<fo:table font-size="11pt" table-layout="fixed" width="100%">
    		<fo:table-column column-number="1" column-width="2cm"/>
    		<fo:table-column column-number="2" column-width="6cm"/>
    		<fo:table-column column-number="3" column-width="2cm"/>
    		<fo:table-column column-number="4" column-width="2cm"/>
    		<fo:table-column column-number="5" column-width="3cm"/>
    		
    		<fo:table-header font-size="8pt">
    			<fo:table-row>
    				<fo:table-cell padding-right="0.5cm"><fo:block text-align="right">RennNr.</fo:block></fo:table-cell>
    				<fo:table-cell><fo:block>Bezeichnung</fo:block></fo:table-cell>
    				<fo:table-cell><fo:block text-align="right">Strecke</fo:block></fo:table-cell>
    				<fo:table-cell><fo:block text-align="right">Meldegeld</fo:block></fo:table-cell>
    				<fo:table-cell padding-left="4pt"><fo:block>Multiklasse</fo:block></fo:table-cell>
    			</fo:table-row>
    		</fo:table-header>
    		
    		<fo:table-body>
   				<xsl:apply-templates select="/data/Races/Race"/>
    		</fo:table-body>
    		
    	</fo:table>
	</xsl:template>
	
	<xsl:template match="Race">
		<fo:table-row>
			<fo:table-cell padding="0.125em" padding-right="0.5cm">
				<fo:block text-align="right">
					<xsl:value-of select="Offer_RaceNumber"/>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell  padding="0.125em">
				<fo:block>
					<xsl:value-of select="Offer_ShortLabel"/>
					<xsl:text> </xsl:text>
					<xsl:value-of select="Offer_Comment"/>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell padding="0.125em">
				<fo:block text-align="right">
					<xsl:value-of select="Offer_Distance"/>
					<xsl:text> m</xsl:text>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell padding="0.125em">
				<fo:block text-align="right">
					<xsl:if test="Offer_Fee &gt; 0">
						<xsl:value-of select="format-number(Offer_Fee, '#0,00', 'european')"/>
						<xsl:text> €</xsl:text>
					</xsl:if>
					<xsl:if test="Offer_Fee = 0">
						<xsl:text>-</xsl:text>
					</xsl:if>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell padding="0.125em" padding-left="4pt">
				<fo:block>
					<xsl:choose>
						<xsl:when test="Offer_GroupMode = 0">
							<xsl:text>-</xsl:text>
						</xsl:when>
						<xsl:when test="Offer_GroupMode = 1">
							<xsl:text>Leistungsgr.</xsl:text>
						</xsl:when>
						<xsl:when test="Offer_GroupMode = 2">
							<xsl:text>Altersklasse</xsl:text>
						</xsl:when>
						<xsl:when test="Offer_GroupMode = 3">
							<xsl:text>LGr./AK</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>FEHLER</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

</xsl:stylesheet>