<?xml version="1.0" encoding="UTF-8"?>
<!-- Startlist Summary (C52-like) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:param name="show_club_abbr" select="false()"/>
	<xsl:param name="show_bib" select="false()"/>

	<xsl:include href="./includes/standard.xsl"/>
	<xsl:include href="./includes/startresult_summary.xsl"/>

	<xsl:template match="Comps" mode="ParticipantsHeaderCaption">
		<xsl:text>Bahn</xsl:text>
	</xsl:template>

	<xsl:template name="CompLanes">
		<xsl:param name="lane" select="number('1')"/>
		<xsl:variable name="ce" select="/data/Lanes/Lane[CE_Comp_ID_FK = current()/ID and CE_Lane = $lane]"/>
		<xsl:variable name="entry" select="/data/Entries/Entrie[Entry_ID = $ce/CE_Entry_ID_FK]"/>
		<xsl:variable name="first_crew_athlete" select="/data/Crews/Crew[Entry_ID_FK = $ce/CE_Entry_ID_FK and RoundFrom &lt;= current()/Round and RoundTo &gt;= current()/Round][1]"/>
		<xsl:variable name="club_abbr" select="/data/Athlets/Athlet[$first_crew_athlete/Athlete_ID_FK = ID]/Club_UltraAbbr"/>

		<fo:table-cell text-align="center">
			<xsl:if test="count(/data/Lanes/Lane[CE_Comp_ID_FK = current()/ID]) = 0 or (Cancelled = 1)">
				<xsl:attribute name="number-columns-spanned">
					<xsl:value-of select="$max_lanes"/>
				</xsl:attribute>
				<fo:block text-align="left" margin-left="1em" font-size="9pt">
					<xsl:if test="Cancelled = 0">
						<xsl:text>TBA</xsl:text>
					</xsl:if>
					<xsl:if test="Cancelled = 1">
						<fo:inline text-transform="uppercase" font-weight="bold"><xsl:text>gestrichen</xsl:text></fo:inline>
					</xsl:if>
				</fo:block>
			</xsl:if>
			<xsl:if test="count(/data/Lanes/Lane[CE_Comp_ID_FK = current()/ID]) &gt; 0 and (Cancelled = 0)">
				<xsl:if test="boolean(number($show_club_abbr)) and $entry/Entry_FullBib">
					<fo:block font-weight="bold" font-size="10pt">
						<xsl:value-of select="$entry/Entry_FullBib"/>
					</fo:block>
					<fo:block font-size="7pt">
						<xsl:if test="$club_abbr">
							<xsl:value-of select="$club_abbr"/>
						</xsl:if>
						<xsl:if test="not($club_abbr)">
							<xsl:text>-</xsl:text>
						</xsl:if>
					</fo:block>
				</xsl:if>
				<xsl:if test="boolean(number($show_noc)) and $entry/Entry_FullBib">
					<fo:block font-weight="bold" font-size="10pt">
						<xsl:apply-templates select="$entry" mode="GetNOCCode">
							<xsl:with-param name="round" select="Round"/>
						</xsl:apply-templates>
					</fo:block>
					<xsl:if test="boolean(number($show_bib))">
						<fo:block font-size="7pt">
							(<xsl:value-of select="$entry/Entry_FullBib"/>)
						</fo:block>
					</xsl:if>
				</xsl:if>
				<fo:block/>
			</xsl:if>
		</fo:table-cell>

		<xsl:if test="($lane &lt; $max_lanes) and (/data/Lanes/Lane[CE_Comp_ID_FK = current()/ID]) and (Cancelled = 0)">
			<xsl:call-template name="CompLanes">
				<xsl:with-param name="lane" select="$lane + 1"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="Race" mode="RaceSeparator" priority="10">
		<fo:table-row>
			<fo:table-cell><fo:block padding=".5em"></fo:block></fo:table-cell>
		</fo:table-row>
	</xsl:template>

</xsl:stylesheet>
