﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!--- Zielbericht für Schnelldruck -->

	<xsl:include href="./includes/standard.xsl" />

	<xsl:template name="body">
		<xsl:if test="count(/data/Lanes/Lane) &gt; 0">
			<fo:table width="100%" table-layout="fixed">
				<fo:table-column column-number="1" column-width="1cm"/>
				<fo:table-column column-number="2" column-width="1.5cm"/>
				<fo:table-column column-number="3" column-width="proportional-column-width(1)"/>
				<fo:table-column column-number="4" column-width="3cm"/>

				<fo:table-header font-size="8pt">
					<fo:table-row font-weight="bold">
						<fo:table-cell border="medium solid black" padding=".5em"><fo:block text-align="center"><xsl:text>Bahn</xsl:text></fo:block></fo:table-cell>
						<fo:table-cell border="medium solid black" padding=".5em"><fo:block text-align="center"><xsl:text>StNr</xsl:text></fo:block></fo:table-cell>
						<fo:table-cell border="medium solid black" padding=".5em"><fo:block><xsl:text>Boot/Mannschaft</xsl:text></fo:block></fo:table-cell>
						<fo:table-cell border="medium solid black" padding=".5em"><fo:block text-align="center"><xsl:text>Platz/Bemerkung</xsl:text></fo:block></fo:table-cell>
					</fo:table-row>
					<fo:table-row>
						<fo:table-cell padding="0.25em"><fo:block></fo:block></fo:table-cell>
					</fo:table-row>
				</fo:table-header>

				<fo:table-body>
					<xsl:apply-templates select="/data/Lanes/Lane"/>
				</fo:table-body>
			</fo:table>

			<fo:block padding-top="2cm" font-size="9pt">
				<fo:inline-container inline-progression-dimension="8.5cm" margin-left="2.5cm">
					<fo:block border-top="thin dotted black" padding-top="0.25em">Schiedsrichter - bitte unbedingt angeben</fo:block>
				</fo:inline-container>
				<fo:inline-container inline-progression-dimension="8.5cm" margin-left="2.5cm">
					<fo:block border-top="thin dotted black" padding-top="0.25em">Unterschrift Zielrichter</fo:block>
				</fo:inline-container>
			  </fo:block>
		</xsl:if>
	</xsl:template>

	<xsl:template match="Lane">
		<xsl:variable name="eid" select="CE_Entry_ID_FK"/>>
		<xsl:variable name="entry" select="/data/Entries/Entrie[Entry_ID = $eid]"/>
		<fo:table-row>
			<fo:table-cell border="medium solid black" padding=".75em">
				<fo:block text-align="center"><xsl:value-of select="CE_Lane"/></fo:block>
			</fo:table-cell>
			<fo:table-cell border="medium solid black" padding=".75em">
				<fo:block text-align="center"><xsl:value-of select="$entry/Entry_FullBib"/></fo:block>
			</fo:table-cell>
			<fo:table-cell border="medium solid black" padding=".75em">
				<fo:block>
					<xsl:call-template name="GetEntryLabel">
						<xsl:with-param name="short" select="true()"/>
						<xsl:with-param name="entry" select="$entry" />
					</xsl:call-template>
					<xsl:if test="$entry/Entry_CancelValue != 0">
						<fo:inline text-decoration="none" font-weight="bold"> (abgemeldet)</fo:inline>
					</xsl:if>
				</fo:block>
				<fo:block keep-with-previous="always" font-size="9pt">
					<xsl:apply-templates select="$entry" mode="GetCrewString">
						<xsl:with-param name="short" select="true()"/>
						<xsl:with-param name="round" select="/data/CompInfo/CompInfo/Comp_Round"/>
					</xsl:apply-templates>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell border="medium solid black"><fo:block/></fo:table-cell>
		</fo:table-row>
	</xsl:template>

</xsl:stylesheet>
