<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template name="RaceBookMarkTree">
		<xsl:param name="races" select="/data/Races/Race"/>
		<xsl:apply-templates select="$races" mode="Bookmark"/>
	</xsl:template>
	

	<xsl:template name="RaceAndCompBookMarkTree">
		<xsl:param name="races" select="/data/Races/Race"/>
		<xsl:for-each select="$races">
			<xsl:variable name="rid" select="Offer_ID"/>
			<xsl:apply-templates select="." mode="Bookmark">
				<xsl:with-param name="comps" select="/data/Comps/Comp[Race_ID_FK = $rid and Cancelled = 0]"/>
			</xsl:apply-templates>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="Race" mode="Bookmark">
		<xsl:param name="comps" select="false()"/>
		<fo:bookmark>
			<xsl:attribute name="internal-destination">
				<xsl:text>r</xsl:text>
				<xsl:value-of select="Offer_ID"/>
			</xsl:attribute>
			
			<fo:bookmark-title>
				<xsl:text>Re. </xsl:text>
				<xsl:value-of select="Offer_RaceNumber"/>
				<xsl:text> </xsl:text>
				<xsl:value-of select="Offer_ShortLabel"/>
				<xsl:if test="string-length(Offer_Comment) &gt; 0">
					<xsl:text> </xsl:text>
					<xsl:value-of select="Offer_Comment"/>
				</xsl:if>
				<xsl:if test="$comps != false()">
					<xsl:value-of select="count($comps)"/>
				</xsl:if>
			</fo:bookmark-title>
			
			<xsl:if test="$comps != false()">
				<xsl:apply-templates select="$comps" mode="Bookmark"/>
			</xsl:if>			
		</fo:bookmark>			
	</xsl:template>
	
	<xsl:template match="Comp" mode="Bookmark">
		<fo:bookmark>
			<xsl:attribute name="internal-destination">
				<xsl:text>c</xsl:text>
				<xsl:value-of select="ID"/>
			</xsl:attribute>
			
			<fo:bookmark-title>
				<xsl:apply-templates select="." mode="GetLongCompCaption"/>
			</fo:bookmark-title>
		</fo:bookmark>
	</xsl:template>

	
</xsl:stylesheet>