<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template name="athletes_age_stats">
		<xsl:variable name="year" select="substring(/data/Event/Event/StartDate, 7)"/>
		<xsl:variable name="men_yobs" select="/data/Athlets/Athlet[Gender = 'M']/YOB"/>
		<xsl:variable name="women_yobs" select="/data/Athlets/Athlet[Gender = 'W']/YOB"/>
		<xsl:variable name="yobs" select="/data/Athlets/Athlet/YOB"/>
		
		<fo:block font-weight="bold" margin-top="0.5em" keep-with-previous="always" font-size="10pt">Altersstruktur der Teilnehmer</fo:block>
		<fo:table table-layout="fixed" width="100%" keep-with-previous="always" font-size="10pt" margin-top="0.25em">

			<fo:table-column column-number="1" column-width="3cm" />
			
			<fo:table-column column-number="2" column-width="1.5cm" /><!-- Kinder -->
			<fo:table-column column-number="3" column-width="1.5cm" /><!-- Jun. B -->
			<fo:table-column column-number="4" column-width="1.5cm" /><!-- Jun. A -->
			<fo:table-column column-number="5" column-width="1.5cm" /><!-- Sen. B -->
			<fo:table-column column-number="6" column-width="1.5cm" /><!-- Sen. A -->
			<fo:table-column column-number="7" column-width="1.5cm" /><!-- Masters -->
			
			<fo:table-column column-number="8" column-width="2cm" /><!-- Gesamt -->
			<fo:table-column column-number="9" column-width="2cm" /><!-- Durchschnitt -->
			<fo:table-column column-number="10" column-width="2cm" /><!-- Maximum -->
			
			<fo:table-header>
				<fo:table-row border="medium solid black">
					<fo:table-cell margin-left="0.25em" border-right="medium solid black"><fo:block>Geschlecht</fo:block></fo:table-cell>
					<fo:table-cell border-right="medium solid black"><fo:block text-align="center">Kinder</fo:block></fo:table-cell>
					<fo:table-cell><fo:block text-align="center">Jun. B</fo:block></fo:table-cell>
					<fo:table-cell border-right="medium solid black"><fo:block text-align="center">Jun. A</fo:block></fo:table-cell>
					<fo:table-cell><fo:block text-align="center">Sen. B</fo:block></fo:table-cell>
					<fo:table-cell border-right="medium solid black"><fo:block text-align="center">Sen. A</fo:block></fo:table-cell>
					<fo:table-cell border-right="medium solid black"><fo:block text-align="center">Masters</fo:block></fo:table-cell>
					<fo:table-cell border-right="medium solid black"><fo:block text-align="center">Gesamt</fo:block></fo:table-cell>
					<fo:table-cell border-right="medium solid black"><fo:block text-align="center">mittl. Alter</fo:block></fo:table-cell>
					<fo:table-cell margin-right="0.25em" margin-left="0.25em"><fo:block text-align="center">max. Alter</fo:block></fo:table-cell>
				</fo:table-row>
				<fo:table-row keep-with-previous="always">
					<fo:table-cell padding-top="0.25em"><fo:block/></fo:table-cell>
				</fo:table-row>
			</fo:table-header>
			
			<fo:table-body border="medium solid black">
				<fo:table-row keep-with-previous="always">
					<fo:table-cell border-right="medium solid black" margin-left="0.25em">
						<fo:block>männlich</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'M' and YOB &gt;= $year - 14])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'M' and (YOB &lt;= $year - 15 and YOB &gt;= $year - 16)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'M' and (YOB &lt;= $year - 17 and YOB &gt;= $year - 18)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'M' and (YOB &lt;= $year - 19 and YOB &gt;= $year - 22)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'M' and (YOB &lt;= $year - 23)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'M' and (YOB &lt;= $year - 27)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'M'])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:if test="count($men_yobs) != 0">
								<xsl:value-of select="round(($year - sum($men_yobs) div count($men_yobs)) * 10) div 10"/>
							</xsl:if>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:for-each select="$men_yobs">
								<xsl:sort data-type="number"/>
								<xsl:if test="position() = 1">
									<xsl:value-of select="$year - ."/>
								</xsl:if>
							</xsl:for-each>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>

				<fo:table-row keep-with-previous="always" >
					<fo:table-cell border-right="medium solid black" margin-left="0.25em">
						<fo:block>weiblich</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'W' and YOB &gt;= $year - 14])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'W' and (YOB &lt;= $year - 15 and YOB &gt;= $year - 16)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'W' and (YOB &lt;= $year - 17 and YOB &gt;= $year - 18)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'W' and (YOB &lt;= $year - 19 and YOB &gt;= $year - 22)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'W' and (YOB &lt;= $year - 23)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'W' and (YOB &lt;= $year - 27)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black" >
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[Gender = 'W'])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:if test="count($women_yobs) != 0">
								<xsl:value-of select="round(($year - sum($women_yobs) div count($women_yobs)) * 10) div 10"/>
							</xsl:if>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:for-each select="$women_yobs">
								<xsl:sort data-type="number"/>
								<xsl:if test="position() = 1">
									<xsl:value-of select="$year - ."/>
								</xsl:if>
							</xsl:for-each>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>

				<fo:table-row keep-with-previous="always" border-top="medium solid black">
					<fo:table-cell border-right="medium solid black" margin-left="0.25em">
						<fo:block text-align="left">Gesamt</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black" >
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[YOB &gt;= $year - 14])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[(YOB &lt;= $year - 15 and YOB &gt;= $year - 16)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[(YOB &lt;= $year - 17 and YOB &gt;= $year - 18)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[(YOB &lt;= $year - 19 and YOB &gt;= $year - 22)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[(YOB &lt;= $year - 23)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet[(YOB &lt;= $year - 27)])"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black" >
						<fo:block text-align="center">
							<xsl:value-of select="count(/data/Athlets/Athlet)"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:if test="count($yobs) != 0">
								<xsl:value-of select="round(($year - sum($yobs) div count($yobs)) * 10) div 10"/>
							</xsl:if>
						</fo:block>
					</fo:table-cell>					
					<fo:table-cell border-right="medium solid black">
						<fo:block text-align="center">
							<xsl:for-each select="$yobs">
								<xsl:sort data-type="number"/>
								<xsl:if test="position() = 1">
									<xsl:value-of select="$year - ."/>
								</xsl:if>
							</xsl:for-each>
						</fo:block>
					</fo:table-cell>					
				</fo:table-row>
			</fo:table-body>
			
		</fo:table>
	</xsl:template>
	


</xsl:stylesheet>