<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template name="format-time-from-int">
		<xsl:param name="value"/>
		<xsl:param name="minimal" select="false()"/>
		
		<xsl:variable name="hsecs" select="floor(($value mod 1000) div 10)"/>
		<xsl:variable name="secs" select="floor($value div 1000) mod 60"/>
		<xsl:variable name="mins" select="floor($value div (1000 * 60))"/>
<!--  	<xsl:value-of select="$value"/>-->
	
		<xsl:if test="$mins &gt; 0 or $minimal = false()">
			<xsl:value-of select="$mins"/>
			<xsl:text>:</xsl:text>
			<xsl:value-of select="format-number($secs, '00')"/>
		</xsl:if>

		<xsl:if test="$mins = 0 and $minimal = true()">
			<xsl:value-of select="format-number($secs, '0')"/>
		</xsl:if>
		
		<xsl:text>.</xsl:text>
		<xsl:value-of select="format-number($hsecs, '00')"/>
	</xsl:template>
	
</xsl:stylesheet>