﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:param name="show_noc" select="false()"/>

	<xsl:variable name="CoxAbbr" select="string('St.')"/>
	
	<xsl:template name="GetPerfGroupValueString">
		<xsl:param name="group"/>
		<xsl:choose>
			<xsl:when test="$group = 0">I</xsl:when>
			<xsl:when test="$group = 1">II</xsl:when>
			<xsl:when test="$group = 2">III</xsl:when>
			<xsl:otherwise><xsl:value-of select="concat('(', $group, ')')"/></xsl:otherwise>			
		</xsl:choose>				
	</xsl:template>
		
	<xsl:template name="GetAgeGroupValueString">
		<xsl:param name="group"/>
		<xsl:choose>
			<xsl:when test="$group = 0">A</xsl:when>
			<xsl:when test="$group = 1">B</xsl:when>
			<xsl:when test="$group = 2">C</xsl:when>
			<xsl:when test="$group = 3">D</xsl:when>
			<xsl:when test="$group = 4">E</xsl:when>
			<xsl:when test="$group = 5">F</xsl:when>
			<xsl:when test="$group = 6">G</xsl:when>
			<xsl:when test="$group = 7">H</xsl:when>
			<xsl:when test="$group = 8">I</xsl:when>
			<xsl:when test="$group = 9">J</xsl:when>
			<xsl:when test="$group = 10">K</xsl:when>
			<xsl:when test="$group = 11">L</xsl:when>
			<xsl:when test="$group = 12">M</xsl:when>
			<xsl:otherwise><xsl:value-of select="concat('(', $group, ')')"/></xsl:otherwise>
		</xsl:choose>				
	</xsl:template>
	
	<xsl:template name="GetGroupString">
		<xsl:param name="mode" select="0"/>
		<xsl:param name="value" select="0"/>
        <xsl:param name="perfGroupString" select="string('Leistungsgruppe ')"/>
        <xsl:param name="ageGroupString" select="string('Altersklasse ')"/>
        <xsl:param name="groupDelim" select="string(' / ')"/>


		<xsl:variable name="perfGroup" select="$value mod 4"/>
		<xsl:variable name="ageGroup" select="floor($value div 4)"/>

		<!-- DEBUG -->		
<!--			<xsl:value-of select="$mode"/>-->
<!--			<xsl:value-of select="$value"/>-->
<!--			<xsl:value-of select="$perfGroup"/>-->
<!--			<xsl:value-of select="$ageGroup"/>-->
                
		
		<xsl:if test="$mode &gt; 0">
			<xsl:if test="$mode = 1 or $mode = 3">
				<xsl:value-of select="$perfGroupString"/>
				<xsl:call-template name="GetPerfGroupValueString">
					<xsl:with-param name="group" select="$perfGroup"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$mode = 3">
				<xsl:value-of select="$groupDelim"/>
			</xsl:if>
			<xsl:if test="$mode = 2 or $mode = 3">
				<xsl:value-of select="$ageGroupString"/>
				<xsl:call-template name="GetAgeGroupValueString">
					<xsl:with-param name="group" select="$ageGroup"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="GetAbbrGroupString">
        <xsl:param name="mode" select="0"/>
        <xsl:param name="value" select="0"/>
        <!--  -->
        <xsl:call-template name="GetGroupString">
            <xsl:with-param name="mode" select="$mode"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="perfGroupString" select="string('LGr. ')"/>
            <xsl:with-param name="ageGroupString" select="string('AK ')"/>
            <xsl:with-param name="groupDelim" select="string('/')"/>
        </xsl:call-template>
	</xsl:template>

    <xsl:template name="GetShortGroupString">
        <xsl:param name="mode" select="0"/>
        <xsl:param name="value" select="0"/>

        <xsl:call-template name="GetGroupString">
            <xsl:with-param name="mode" select="$mode"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="perfGroupString" select="string('')"/>
            <xsl:with-param name="ageGroupString" select="string('')"/>
            <xsl:with-param name="groupDelim" select="string('/')"/>
        </xsl:call-template>
    </xsl:template>

	<xsl:template match="Entrie" mode="GetNOCCode">
		<xsl:param name="round" select="number('64')"/>

		<xsl:variable name="el" select="/data/EntryLabels/EntryLabel[EL_Entry_ID_FK = current()/Entry_ID and EL_RoundFrom &lt;= $round and EL_RoundTo &gt;= $round]"/>
		<!-- first crew member in the round (if it exists) -->
		<xsl:variable name="fcm" select="/data/Crews/Crew[Entry_ID_FK = current()/Entry_ID and RoundFrom &lt;= $round and RoundTo &gt;= $round][1]"/>
		<!--
		<xsl:variable name="label" select="/data/Labels/Label[ID = $el/EL_Label_ID_FK]"/>
		-->

		<xsl:choose>
			<!-- Vincent, please choose what makes more sense for you. Greetings. ;-) -->
			<!--
			<xsl:when test="$el/EL_IsClubMultiNOC = 1"><xsl:text>INT</xsl:text></xsl:when>
			-->
			<xsl:when test="$el/EL_IsCrewClubMultiNOC = 1"><xsl:text>INT</xsl:text></xsl:when>
			<!-- select nation of the club that participates (or the first athletes) -->
			<xsl:otherwise>
				<!-- mh, one might also use this one but it does not work for teams -->
				<xsl:value-of select="/data/Labels/Label[$el/EL_Label_ID_FK = ID]/Nation_IOC_Code"/>
				<!-- fallback -->
				<xsl:if test="not(string(/data/Labels/Label[$el/EL_Label_ID_FK = ID]/Nation_IOC_Code)) and count(/data/Athlets) &gt; 0 and $fcm">
				<!-- 
					The SP creating the EntryLabels leaves Nation_IOC_Code empty for teams from the same nation (TODO: check why!).
					Thus, take the nation of the first existing athlete of the crew in given round in such a case.
					This only works if athletes have been queried into the overall dataset (see check above).
				-->
					<xsl:value-of select="/data/Athlets/Athlet[ID = $fcm/Athlete_ID_FK]/Nation_IOC_Code"/>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<xsl:template name="GetEntryLabel">
		<xsl:param name="entry"/>
		<xsl:param name="short" select="false()"/>
		<xsl:param name="round" select="number('64')"/>
		<xsl:param name="with-extra" select="true()"/>

		<xsl:variable name="el" select="/data/EntryLabels/EntryLabel[EL_Entry_ID_FK = $entry/Entry_ID and EL_RoundFrom &lt;= $round and EL_RoundTo &gt;= $round]"/>
		<xsl:variable name="label" select="/data/Labels/Label[ID = $el/EL_Label_ID_FK]"/>

		<xsl:if test="$show_noc">
			<xsl:apply-templates select="$entry" mode="GetNOCCode"/>
			<xsl:text> </xsl:text>
		</xsl:if>

		<xsl:if test="$short">
			<xsl:value-of select="$label/Short"/>
		</xsl:if>

		<xsl:if test="not($short)">
			<xsl:if test="$label/IsTeam != 0">
				<xsl:value-of select="$label/Short"/>
			</xsl:if>
			<xsl:if test="$label/IsTeam = 0">
				<xsl:value-of select="$label/Long"/>
			</xsl:if>
		</xsl:if>

		<xsl:if test="$with-extra">
			<xsl:text> </xsl:text>
			<xsl:call-template name="GetEntryLabelExtra">
				<xsl:with-param name="entry" select="$entry"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>


	<xsl:template name="GetEntryLabelExtra">
		<xsl:param name="entry"/>

		<xsl:if test="$entry/Entry_BoatNumber &gt; 0 or string-length($entry/Entry_Comment) &gt; 0">
			<xsl:text> </xsl:text>
			<xsl:text>(</xsl:text>
			<xsl:if test="$entry/Entry_BoatNumber &gt; 0">
				<xsl:text>Boot </xsl:text>
				<xsl:value-of select="$entry/Entry_BoatNumber"/>
			</xsl:if>

			<xsl:if test="string-length($entry/Entry_Comment) &gt; 0 and $entry/Entry_BoatNumber &gt; 0">
				<xsl:text> </xsl:text>
			</xsl:if>

			<xsl:if test="string-length($entry/Entry_Comment) &gt; 0">
				<xsl:value-of select="$entry/Entry_Comment"/>
			</xsl:if>
			<xsl:text>)</xsl:text>
		</xsl:if>
	</xsl:template>


	<xsl:template match="Entrie" mode="GetLabel">
		<xsl:param name="short" select="false()"/>
		<xsl:param name="round" select="number('64')"/>
		<xsl:param name="with-extra" select="true()"/>

		<xsl:call-template name="GetEntryLabel">
			<xsl:with-param name="entry" select="."/>
			<xsl:with-param name="short" select="$short"/>
			<xsl:with-param name="round" select="$round"/>
			<xsl:with-param name="with-extra" select="$with-extra"/>
		</xsl:call-template>
	</xsl:template>


	<xsl:template name="CrewNameShort">
		<xsl:param name="id"/>
		<xsl:value-of select="/data/Athlets/Athlet[ID = $id]/LastName"/>
	</xsl:template>

	<xsl:template name="CrewNameLong">
		<xsl:param name="id"/>
		<xsl:param name="team" select="false()"/>
		<xsl:param name="hide_yob" select="false()"/>
		<xsl:param name="uabbr" select="/data/Athlets/Athlet[ID = $id]/Club_UltraAbbr"/>
		
		<xsl:choose>
			<xsl:when test="/data/Athlets/Athlet[ID = $id]">
				<xsl:value-of select="/data/Athlets/Athlet[ID = $id]/FirstName"/>
				<!--<xsl:text>&#160;</xsl:text>-->
				<xsl:text> </xsl:text>
				<xsl:value-of select="/data/Athlets/Athlet[ID = $id]/LastName"/>
				<xsl:if test="($team and string-length(uabbr) &gt; 0 or /data/Athlets/Athlet[ID = $id]/YOB &gt; 1900) and not($hide_yob)">
					<!-- <xsl:text>&#160;(</xsl:text> -->
					<xsl:text> (</xsl:text>
					<xsl:if test="/data/Athlets/Athlet[ID = $id]/YOB &gt; 1900">
						<xsl:value-of select="/data/Athlets/Athlet[ID = $id]/YOB"/>
					</xsl:if>
					<xsl:if test="$team and string-length($uabbr) &gt; 0">
						<!--<xsl:text>,&#160;</xsl:text>-->
						<xsl:text>, </xsl:text>
						<xsl:value-of select="$uabbr"/>
					</xsl:if>
					<xsl:text>)</xsl:text>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>N.N.</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	
	<xsl:template name="GetEntryRaceRowerCount">
		<xsl:param name="oid" select="Entry_Race_ID_FK"/>
		<xsl:choose>
			<xsl:when test="/data/RaceInfo/RaceInfo[Offer_ID = $oid]">
				<xsl:value-of select="/data/RaceInfo/RaceInfo[Offer_ID = $oid]/BoatClass_NumRowers"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="/data/Races/Race[Offer_ID = $oid]/BoatClass_NumRowers"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="GetEntryRaceCoxed">
		<xsl:param name="oid" select="Entry_Race_ID_FK"/>
		<xsl:choose>
			<xsl:when test="/data/RaceInfo/RaceInfo[Offer_ID = $oid]">
				<xsl:value-of select="/data/RaceInfo/RaceInfo[Offer_ID = $oid]/BoatClass_Coxed"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="/data/Races/Race[Offer_ID = $oid]/BoatClass_Coxed"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<xsl:template match="Entrie" mode="GetCrewString">
		<xsl:param name="round">
			<xsl:choose>
				<xsl:when test="count(/data/RoundInfo/RoundInfo/Number) = 1">
					<xsl:value-of select="/data/RoundInfo/RoundInfo/Number"/>
				</xsl:when>
				<xsl:when test="count(/data/CompInfo/CompInfo/Comp_Round) = 1">
					<xsl:value-of select="/data/CompInfo/CompInfo/Comp_Round"/>
				</xsl:when>
				<xsl:otherwise>
					<!-- fallback (backward compat): assume final round,
					     i.e. most current crew members are used -->
					<xsl:text>64</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:param>
		<xsl:param name="short" select="false()"/>
		<xsl:param name="hide_yob" select="false()"/>

		<xsl:variable name="eid" select="Entry_ID"/>
		<xsl:variable name="rower_count"><xsl:call-template name="GetEntryRaceRowerCount"/></xsl:variable>
		<xsl:variable name="cox_count"><xsl:call-template name="GetEntryRaceCoxed"/></xsl:variable>
		<xsl:variable name="elid" select="/data/EntryLabels/EntryLabel[EL_Entry_ID_FK = $eid and EL_RoundFrom &lt;= $round and EL_RoundTo &gt;= $round]/EL_Label_ID_FK"/>
		<xsl:variable name="team" select="boolean(number(/data/Labels/Label[ID = $elid]/IsTeam))"/>

		<xsl:call-template name="IterateCrew">
			<xsl:with-param name="count" select="$rower_count + $cox_count"/>
			<xsl:with-param name="eid" select="$eid"/>
			<xsl:with-param name="team" select="$team"/>
			<xsl:with-param name="round" select="$round"/>
			<xsl:with-param name="short" select="$short"/>
			<xsl:with-param name="hide_yob" select="$hide_yob"/>
		</xsl:call-template>
	</xsl:template>
	
	
	<xsl:template name="IterateCrew">
		<xsl:param name="eid"/>
		<xsl:param name="team"/>
		<xsl:param name="short"/>
		<xsl:param name="round" select="64"/>
		<xsl:param name="count" select="1"/>
		<xsl:param name="i" select="1"/>
		<xsl:param name="hide_yob" select="false()"/>

		<xsl:variable name="member" select="/data/Crews/Crew[Entry_ID_FK = $eid and Pos = $i and RoundFrom &lt;= $round and RoundTo &gt;= $round][1]"/>
		
		<xsl:if test="$i &lt;= $count">
			<xsl:if test="$member/IsCox = 1">
				<xsl:value-of select="$CoxAbbr"/>
				<xsl:text>&#160;</xsl:text>
			</xsl:if>

			<xsl:if test="$short = false()">
				<xsl:call-template name="CrewNameLong">
					<xsl:with-param name="id" select="$member/Athlete_ID_FK"/>
					<xsl:with-param name="team" select="$team"/>
					<xsl:with-param name="hide_yob" select="$hide_yob"/>
				</xsl:call-template>
			</xsl:if>

			<xsl:if test="$short = true()">
				<xsl:call-template name="CrewNameShort">
					<xsl:with-param name="id" select="$member/Athlete_ID_FK"/>
				</xsl:call-template>
			</xsl:if>

			<xsl:if test="$count &gt; 1 and $i != $count">
				<xsl:text>, </xsl:text>
			</xsl:if>			
				
			<xsl:call-template name="IterateCrew">
				<xsl:with-param name="count" select="$count"/>
				<xsl:with-param name="i" select="$i + 1"/>
				<xsl:with-param name="eid" select="$eid"/>
				<xsl:with-param name="team" select="$team"/>
				<xsl:with-param name="round" select="$round"/>
				<xsl:with-param name="short" select="$short"/>
				<xsl:with-param name="hide_yob" select="$hide_yob"/>
			</xsl:call-template>			
		</xsl:if>			
	</xsl:template>
	

	<xsl:template name="_GetCompLongCaption">
	   <xsl:param name="RoundCode"/>
	   <xsl:param name="Label"/>
	   <xsl:choose>
	       <xsl:when test="$RoundCode = 'V'">Vorlauf</xsl:when>
	       <xsl:when test="$RoundCode = 'Q'">Viertelfinale</xsl:when>
	       <xsl:when test="$RoundCode = 'H'">Hoffnungslauf</xsl:when>
	       <xsl:when test="$RoundCode = 'Z'">Zwischenlauf</xsl:when>
	       <xsl:when test="$RoundCode = 'S'">Halbfinale</xsl:when>
	       <xsl:when test="$RoundCode = 'Fk'">kleines Finale</xsl:when>
	       <xsl:when test="$RoundCode = 'F'">Finale</xsl:when>
	       <xsl:when test="$RoundCode = 'A'">Abteilung</xsl:when>
	       <xsl:when test="$RoundCode = 'X'">Bahnverteilung</xsl:when>
	       <xsl:when test="$RoundCode = 'T'">Testrennen</xsl:when>
	       <xsl:when test="$RoundCode = 'R'">Hauptrennen</xsl:when>
	       <xsl:when test="$RoundCode = 'L'">Rangliste</xsl:when>
	       <xsl:when test="$RoundCode = 'LS'">Langstrecke</xsl:when>
	   </xsl:choose>
	   <xsl:if test="$RoundCode != 'X' and $RoundCode != 'R' and string-length($Label) &gt; 0">
	       <xsl:text> </xsl:text>
	       <xsl:value-of select="$Label"/>
	   </xsl:if>		
	</xsl:template>

	<xsl:template match="Comp" mode="GetLongCompCaption">
		<xsl:call-template name="_GetCompLongCaption">
			<xsl:with-param name="RoundCode" select="RoundCode"/>
			<xsl:with-param name="Label" select="Label"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="CompInfo" mode="GetLongCompCaption">
		<xsl:call-template name="_GetCompLongCaption">
			<xsl:with-param name="RoundCode" select="./Comp_RoundCode"/>
			<xsl:with-param name="Label" select="./Comp_Label"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="RefereeName">
		<fo:inline text-transform="uppercase">
			<xsl:if test="LastName">
				<xsl:value-of select="LastName"></xsl:value-of>
			</xsl:if>
			<xsl:if test="Referee_LastName">
				<xsl:value-of select="Referee_LastName"></xsl:value-of>
			</xsl:if>
		</fo:inline>
		<xsl:text>, </xsl:text>
		<xsl:if test="FirstName">
			<xsl:value-of select="FirstName"></xsl:value-of>
		</xsl:if>
		<xsl:if test="Referee_FirstName">
			<xsl:value-of select="Referee_FirstName"></xsl:value-of>
		</xsl:if>
		<xsl:text> (</xsl:text>
		<xsl:if test="City">
			<xsl:value-of select="City"></xsl:value-of>
		</xsl:if>
		<xsl:if test="Referee_City">
			<xsl:value-of select="Referee_City"></xsl:value-of>
		</xsl:if>
		<xsl:text>, </xsl:text>
		<fo:inline text-transform="uppercase">
			<xsl:value-of select="Nation_IOC_Code" />
		</fo:inline>
		<xsl:text>)</xsl:text>
	</xsl:template>
	
	<xsl:template match="DisplayValue" mode="friendly">
		<xsl:choose>
			<xsl:when test=". = 'DNF'"><xsl:text>aufgegeben</xsl:text></xsl:when>
			<xsl:when test=". = 'DNS'"><xsl:text>nicht am Start</xsl:text></xsl:when>
			<xsl:when test=". = 'TRN'"><xsl:text>gekentert</xsl:text></xsl:when>
			<xsl:when test=". = 'DSQ'"><xsl:text>disqualifiziert</xsl:text></xsl:when>
			<xsl:when test=". = 'EXC'"><xsl:text>ausgeschlossen</xsl:text></xsl:when>
			<xsl:when test=". = 'REL'"><xsl:text>gesetzt</xsl:text></xsl:when>
			<xsl:when test=". = 'OVW'"><xsl:text>Übergewicht</xsl:text></xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."></xsl:value-of>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

    <xsl:template name="club_fee_sum">
        <xsl:param name="entries"/>
        <xsl:choose>
            <xsl:when test="$entries">
                <!-- recursion -->
                <xsl:variable name="rec_result">
	                <xsl:call-template name="club_fee_sum">
	                    <xsl:with-param name="entries" select="$entries[position() &gt; 1]"/>
	                </xsl:call-template>
                </xsl:variable>
                
                <!-- actual calculation -->
                <xsl:variable name="rid" select="$entries[1]/Entry_Race_ID_FK"/>
                <xsl:variable name="gv" select="$entries[1]/Entry_GroupValue"/>
                <xsl:variable name="stat" select="/data/Stats/Stat[Race_ID = $rid and Entry_GroupValue = $gv and GroupDriven = 1]"/>
                
                <xsl:choose>
                    <xsl:when test="count($stat) = 1">
                        <xsl:value-of select="$rec_result + $stat/Fee"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="$rec_result"/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
                <!-- recursion abort -->
                <xsl:value-of select="number(0)"/>
            </xsl:otherwise>
        </xsl:choose>        
    </xsl:template>

</xsl:stylesheet>
